<template>
    <q-dialog ref="dialogRef" maximized>
        <q-card>
            <q-card-section>
                {{ objectData }}
            </q-card-section>
        </q-card>
    </q-dialog>
</template>

<script setup>
import { useDialogPluginComponent } from 'quasar'
import {onMounted} from "vue";

const { dialogRef, onDialogHide, onDialogOK, onDialogCancel } = useDialogPluginComponent()
const props = defineProps({
    objectData: { type: Object, default: null }
})

onMounted(() => {
    console.log('ONMOUNTED', props.objectData)
})
</script>
